{% extends 'base.html.twig' %}

{% block title %}Contact Messages List{% endblock %}

{% block body %}
    <h1>Messages</h1>

    {% for message in messages %}
        <div class="mt-5">
            <hr>
            <p>
                <span class="text-muted">Name:</span>
                {{message.name}}
            </p>
            <p>
                <span class="text-muted">Email:</span>
                {{message.email}}
            </p>
            <p>
                <span class="text-muted">Date:</span>
                {{message.createdAt.format('Y-m-d') ?? '-'}}
            </p>
            <p class="mb-0">
                <span class="text-muted">Message:</span> 
                {{message.message}}
            </p>
        </div>
        <hr>
    {% else %}
        <p>No messages found</p>
    {% endfor %}
{% endblock %}
